curl -X POST "https://api-integration.ollang.com/integration/orders/60b8d6f1e1b9b1d8c6c0d8e1/human-review" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/${orderId}/human-review`,
{
method: "POST",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
if (response.status === 204) {
console.log("Human review requested successfully");
}
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e1"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.post(
f'https://api-integration.ollang.com/integration/orders/{order_id}/human-review',
headers=headers
)
if response.status_code == 204:
print("Human review requested successfully")
$orderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/orders/' . $orderId . '/human-review',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);
if ($httpCode === 204) {
echo "Human review requested successfully";
}
package main
import (
"fmt"
"net/http"
)
func main() {
orderId := "60b8d6f1e1b9b1d8c6c0d8e1"
url := fmt.Sprintf("https://api-integration.ollang.com/integration/orders/%s/human-review", orderId)
req, _ := http.NewRequest("POST", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
if resp.StatusCode == 204 {
fmt.Println("Human review requested successfully")
}
}
String orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
HttpResponse<String> response = Unirest.post("https://api-integration.ollang.com/integration/orders/" + orderId + "/human-review")
.header("X-Api-Key", "<your-api-key>")
.asString();
if (response.getStatus() == 204) {
System.out.println("Human review requested successfully");
}
No content - Human review requested successfully
{
"error": "Order not found",
"message": "No order found with the provided orderId",
"code": "ORDER_NOT_FOUND"
}
{
"error": "Order not eligible for human review",
"message": "Only completed or delivered orders can be submitted for human review",
"code": "ORDER_NOT_ELIGIBLE"
}
{
"error": "Access denied",
"message": "You don't have permission to request human review for this order",
"code": "ACCESS_DENIED"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Ollang API Reference
Request Human Review for an Order
Request a human review for an existing order to ensure quality and accuracy. This endpoint triggers a manual review by a professional linguist.
POST
/
integration
/
orders
/
{orderId}
/
human-review
curl -X POST "https://api-integration.ollang.com/integration/orders/60b8d6f1e1b9b1d8c6c0d8e1/human-review" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/${orderId}/human-review`,
{
method: "POST",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
if (response.status === 204) {
console.log("Human review requested successfully");
}
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e1"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.post(
f'https://api-integration.ollang.com/integration/orders/{order_id}/human-review',
headers=headers
)
if response.status_code == 204:
print("Human review requested successfully")
$orderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/orders/' . $orderId . '/human-review',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);
if ($httpCode === 204) {
echo "Human review requested successfully";
}
package main
import (
"fmt"
"net/http"
)
func main() {
orderId := "60b8d6f1e1b9b1d8c6c0d8e1"
url := fmt.Sprintf("https://api-integration.ollang.com/integration/orders/%s/human-review", orderId)
req, _ := http.NewRequest("POST", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
if resp.StatusCode == 204 {
fmt.Println("Human review requested successfully")
}
}
String orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
HttpResponse<String> response = Unirest.post("https://api-integration.ollang.com/integration/orders/" + orderId + "/human-review")
.header("X-Api-Key", "<your-api-key>")
.asString();
if (response.getStatus() == 204) {
System.out.println("Human review requested successfully");
}
No content - Human review requested successfully
{
"error": "Order not found",
"message": "No order found with the provided orderId",
"code": "ORDER_NOT_FOUND"
}
{
"error": "Order not eligible for human review",
"message": "Only completed or delivered orders can be submitted for human review",
"code": "ORDER_NOT_ELIGIBLE"
}
{
"error": "Access denied",
"message": "You don't have permission to request human review for this order",
"code": "ACCESS_DENIED"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Request a human review for an existing order. This endpoint is used when you want a professional linguist to manually review the delivered content for quality assurance or compliance reasons. Only eligible orders can be submitted for human review.
curl -X POST "https://api-integration.ollang.com/integration/orders/60b8d6f1e1b9b1d8c6c0d8e1/human-review" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/${orderId}/human-review`,
{
method: "POST",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
if (response.status === 204) {
console.log("Human review requested successfully");
}
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e1"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.post(
f'https://api-integration.ollang.com/integration/orders/{order_id}/human-review',
headers=headers
)
if response.status_code == 204:
print("Human review requested successfully")
$orderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/orders/' . $orderId . '/human-review',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);
if ($httpCode === 204) {
echo "Human review requested successfully";
}
package main
import (
"fmt"
"net/http"
)
func main() {
orderId := "60b8d6f1e1b9b1d8c6c0d8e1"
url := fmt.Sprintf("https://api-integration.ollang.com/integration/orders/%s/human-review", orderId)
req, _ := http.NewRequest("POST", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
if resp.StatusCode == 204 {
fmt.Println("Human review requested successfully")
}
}
String orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
HttpResponse<String> response = Unirest.post("https://api-integration.ollang.com/integration/orders/" + orderId + "/human-review")
.header("X-Api-Key", "<your-api-key>")
.asString();
if (response.getStatus() == 204) {
System.out.println("Human review requested successfully");
}
Authorizations
This endpoint requires API key authentication. Include your API key in the request header:- Header name:
X-Api-Key - Header value: Your API key from the Ollang dashboard
- Format:
X-Api-Key: your-api-key-here
Path Parameters
string
required
The unique identifier of the order for which you want to request a human
review. This should be a completed or delivered order that you have access to
and is eligible for human review.
Response
This endpoint returns no content on successful request (HTTP 204 status code). The absence of an error response indicates that the human review was successfully requested.No content - Human review requested successfully
{
"error": "Order not found",
"message": "No order found with the provided orderId",
"code": "ORDER_NOT_FOUND"
}
{
"error": "Order not eligible for human review",
"message": "Only completed or delivered orders can be submitted for human review",
"code": "ORDER_NOT_ELIGIBLE"
}
{
"error": "Access denied",
"message": "You don't have permission to request human review for this order",
"code": "ACCESS_DENIED"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Was this page helpful?
⌘I